# Uses of Interface
org.opensaml.saml.saml1.core.NameIdentifier

Packages that use NameIdentifier
Package
Description
org.opensaml.saml.common.messaging.context
Context classes for SAML-based messaging function.
org.opensaml.saml.common.profile.logic
Functions and predicates supporting common SAML profile behavior.
org.opensaml.saml.saml1.core
Interfaces for SAML 1.0 and 1.1 types and elements.
org.opensaml.saml.saml1.core.impl
Implementations of SAML 1.x core specification types and elements.
org.opensaml.saml.saml1.profile
Classes for SAML 1.x profile behavior.
org.opensaml.saml.saml1.profile.impl
Implementations of SAML 1.x profile behavior.

## Uses of NameIdentifier in org.opensaml.saml.common.messaging.context

Methods in org.opensaml.saml.common.messaging.context that return NameIdentifier
Modifier and Type
Method
Description
`NameIdentifier`
SAMLSubjectNameIdentifierContext.`getSAML1SubjectNameIdentifier()`
Gets the SAML 1 `NameIdentifier` represented by this context.

## Uses of NameIdentifier in org.opensaml.saml.common.profile.logic

Methods in org.opensaml.saml.common.profile.logic with parameters of type NameIdentifier
Modifier and Type
Method
Description
`private boolean`
AbstractNameIDPolicyPredicate.`doApply(ProfileRequestContext input, NameIdentifier target)`
Apply policy to the target object.

## Uses of NameIdentifier in org.opensaml.saml.saml1.core

Methods in org.opensaml.saml.saml1.core that return NameIdentifier
Modifier and Type
Method
Description
`NameIdentifier`
Subject.`getNameIdentifier()`
Get the name identifier.
Methods in org.opensaml.saml.saml1.core with parameters of type NameIdentifier
Modifier and Type
Method
Description
`void`
Subject.`setNameIdentifier(NameIdentifier nameIdentifier)`
Set the name identifier.

## Uses of NameIdentifier in org.opensaml.saml.saml1.core.impl

Classes in org.opensaml.saml.saml1.core.impl that implement NameIdentifier
Modifier and Type
Class
Description
`class`
`NameIdentifierImpl`
Complete implementation of `NameIdentifier`.
Fields in org.opensaml.saml.saml1.core.impl declared as NameIdentifier
Modifier and Type
Field
Description
`private NameIdentifier`
SubjectImpl.`nameIdentifier`
Contains the NameIdentifier inside the Subject.
Methods in org.opensaml.saml.saml1.core.impl that return NameIdentifier
Modifier and Type
Method
Description
`NameIdentifier`
NameIdentifierBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`NameIdentifier`
NameIdentifierBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`NameIdentifier`
SubjectImpl.`getNameIdentifier()`
Get the name identifier.
Methods in org.opensaml.saml.saml1.core.impl with parameters of type NameIdentifier
Modifier and Type
Method
Description
`void`
SubjectImpl.`setNameIdentifier(NameIdentifier name)`
Set the name identifier.

## Uses of NameIdentifier in org.opensaml.saml.saml1.profile

Fields in org.opensaml.saml.saml1.profile with type parameters of type NameIdentifier
Modifier and Type
Field
Description
`private final SAMLObjectBuilder<NameIdentifier>`
AbstractSAML1NameIdentifierGenerator.`nameBuilder`
Builder for objects.
Methods in org.opensaml.saml.saml1.profile that return NameIdentifier
Modifier and Type
Method
Description
`protected NameIdentifier`
AbstractSAML1NameIdentifierGenerator.`doGenerate(ProfileRequestContext profileRequestContext)`
Override this method to fully control the generation process.
`NameIdentifier`
SAML1NameIdentifierGenerator.`generate(ProfileRequestContext profileRequestContext, String format)`
Generate an identifier object.
Methods in org.opensaml.saml.saml1.profile with parameters of type NameIdentifier
Modifier and Type
Method
Description
`static boolean`
SAML1ObjectSupport.`areNameIdentifiersEquivalent(NameIdentifier name1, NameIdentifier name2)`
Return true iff the two input `NameIdentifier` objects are equivalent for SAML 1.x purposes.

## Uses of NameIdentifier in org.opensaml.saml.saml1.profile.impl

Fields in org.opensaml.saml.saml1.profile.impl declared as NameIdentifier
Modifier and Type
Field
Description
`private NameIdentifier`
CopyNameIdentifierFromRequest.`nameIdentifier`
NameIdentifier to copy.
Fields in org.opensaml.saml.saml1.profile.impl with type parameters of type NameIdentifier
Modifier and Type
Field
Description
`private final SAMLObjectBuilder<NameIdentifier>`
AddNameIdentifierToSubjects.`nameIdentifierBuilder`
Builder for NameIdentifier objects.
`private final SAMLObjectBuilder<NameIdentifier>`
CopyNameIdentifierFromRequest.`nameIdentifierBuilder`
Builder for NameIdentifier objects.
Methods in org.opensaml.saml.saml1.profile.impl that return NameIdentifier
Modifier and Type
Method
Description
`private NameIdentifier`
AddNameIdentifierToSubjects.`cloneNameIdentifier(NameIdentifier nameIdentifier)`
Create an efficient field-wise copy of a `NameIdentifier`.
`private NameIdentifier`
CopyNameIdentifierFromRequest.`cloneNameIdentifier()`
Create an efficient field-wise copy of a `NameIdentifier`.
`private NameIdentifier`
AddNameIdentifierToSubjects.`generateNameIdentifier(ProfileRequestContext profileRequestContext)`
Attempt to generate a `NameIdentifier` using each of the candidate Formats and plugins.
Methods in org.opensaml.saml.saml1.profile.impl with parameters of type NameIdentifier
Modifier and Type
Method
Description
`private NameIdentifier`
AddNameIdentifierToSubjects.`cloneNameIdentifier(NameIdentifier nameIdentifier)`
Create an efficient field-wise copy of a `NameIdentifier`.